package com.hp.user.service.controller;

import com.hp.user.client.entity.AreaVO;
import com.hp.user.service.dao.AreaMapper;
import com.hp.user.service.entity.Area;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import com.hp.user.client.service.UserAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "地区API接口")
@RestController
@RequestMapping("/area")
public class AreaController {

    @Autowired
    private UserAreaService areaService;

    /**
     * 查询所有地区
     */
    @GetMapping("/queryAllArea")
    @ApiOperation(value = "获取所有地区信息", notes = "获取所有地区信息", httpMethod = "GET")
    public List<AreaVO> queryAllArea(){
        return areaService.getAllArea();
    }
}
